/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<private/qt3dquick3drenderforeign_p.h>)
#  include <private/qt3dquick3drenderforeign_p.h>
#endif
#if __has_include(<private/quick3dparameter_p.h>)
#  include <private/quick3dparameter_p.h>
#endif
#if __has_include(<private/quick3draycaster_p.h>)
#  include <private/quick3draycaster_p.h>
#endif
#if __has_include(<private/quick3dscreenraycaster_p.h>)
#  include <private/quick3dscreenraycaster_p.h>
#endif
#if __has_include(<private/quick3dshaderdata_p.h>)
#  include <private/quick3dshaderdata_p.h>
#endif
#if __has_include(<private/quick3dshaderdataarray_p.h>)
#  include <private/quick3dshaderdataarray_p.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_Qt3D_Render()
{
    qmlRegisterModule("Qt3D.Render", 2, 0);
    qmlRegisterModule("Qt3D.Render", 2, 254);
    qmlRegisterModule("Qt3D.Render", 6, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<QAbstractLightForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QAbstractLightForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QAbstractLight::Type>("Qt3DRender::QAbstractLight::Type");
    qmlRegisterTypesAndRevisions<QAbstractTextureForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QAbstractTextureForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QAbstractTexture::Status>("Qt3DRender::QAbstractTexture::Status");
    qmlRegisterEnum<Qt3DRender::QAbstractTexture::Target>("Qt3DRender::QAbstractTexture::Target");
    qmlRegisterEnum<Qt3DRender::QAbstractTexture::TextureFormat>("Qt3DRender::QAbstractTexture::TextureFormat");
    qmlRegisterEnum<Qt3DRender::QAbstractTexture::Filter>("Qt3DRender::QAbstractTexture::Filter");
    qmlRegisterEnum<Qt3DRender::QAbstractTexture::CubeMapFace>("Qt3DRender::QAbstractTexture::CubeMapFace");
    qmlRegisterEnum<Qt3DRender::QAbstractTexture::ComparisonFunction>("Qt3DRender::QAbstractTexture::ComparisonFunction");
    qmlRegisterEnum<Qt3DRender::QAbstractTexture::ComparisonMode>("Qt3DRender::QAbstractTexture::ComparisonMode");
    qmlRegisterEnum<Qt3DRender::QAbstractTexture::HandleType>("Qt3DRender::QAbstractTexture::HandleType");
    qmlRegisterTypesAndRevisions<QAbstractTextureImageForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QAbstractTextureImageForeign *>().id();
    qmlRegisterTypesAndRevisions<QAlphaCoverageForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QAlphaCoverageForeign *>().id();
    qmlRegisterTypesAndRevisions<QAlphaTestForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QAlphaTestForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QAlphaTest::AlphaFunction>("Qt3DRender::QAlphaTest::AlphaFunction");
    qmlRegisterTypesAndRevisions<QBlendEquationArgumentsForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QBlendEquationArgumentsForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QBlendEquationArguments::Blending>("Qt3DRender::QBlendEquationArguments::Blending");
    qmlRegisterTypesAndRevisions<QBlendEquationForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QBlendEquationForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QBlendEquation::BlendFunction>("Qt3DRender::QBlendEquation::BlendFunction");
    qmlRegisterTypesAndRevisions<QBlitFramebufferForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QBlitFramebufferForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QBlitFramebuffer::InterpolationMethod>("Qt3DRender::QBlitFramebuffer::InterpolationMethod");
    qmlRegisterTypesAndRevisions<QBufferCaptureForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QBufferCaptureForeign *>().id();
    qmlRegisterTypesAndRevisions<QCameraForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QCameraForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QCamera::CameraTranslationOption>("Qt3DRender::QCamera::CameraTranslationOption");
    qmlRegisterTypesAndRevisions<QCameraLensForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QCameraLensForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QCameraLens::ProjectionType>("Qt3DRender::QCameraLens::ProjectionType");
    qmlRegisterTypesAndRevisions<QCameraSelectorForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QCameraSelectorForeign *>().id();
    qmlRegisterTypesAndRevisions<QClearBuffersForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QClearBuffersForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QClearBuffers::BufferType>("Qt3DRender::QClearBuffers::BufferType");
    qmlRegisterTypesAndRevisions<QClipPlaneForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QClipPlaneForeign *>().id();
    qmlRegisterTypesAndRevisions<QColorMaskForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QColorMaskForeign *>().id();
    qmlRegisterTypesAndRevisions<QComputeCommandForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QComputeCommandForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QComputeCommand::RunType>("Qt3DRender::QComputeCommand::RunType");
    qmlRegisterTypesAndRevisions<QCullFaceForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QCullFaceForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QCullFace::CullingMode>("Qt3DRender::QCullFace::CullingMode");
    qmlRegisterTypesAndRevisions<QDebugOverlayForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QDebugOverlayForeign *>().id();
    qmlRegisterTypesAndRevisions<QDepthRangeForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QDepthRangeForeign *>().id();
    qmlRegisterTypesAndRevisions<QDepthTestForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QDepthTestForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QDepthTest::DepthFunction>("Qt3DRender::QDepthTest::DepthFunction");
    qmlRegisterTypesAndRevisions<QDirectionalLightForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QDirectionalLightForeign *>().id();
    qmlRegisterTypesAndRevisions<QDispatchComputeForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QDispatchComputeForeign *>().id();
    qmlRegisterTypesAndRevisions<QDitheringForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QDitheringForeign *>().id();
    qmlRegisterTypesAndRevisions<QEffectForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QEffectForeign *>().id();
    qmlRegisterTypesAndRevisions<QEnvironmentLightForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QEnvironmentLightForeign *>().id();
    qmlRegisterTypesAndRevisions<QFilterKeyForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QFilterKeyForeign *>().id();
    qmlRegisterTypesAndRevisions<QFrameGraphNodeForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QFrameGraphNodeForeign *>().id();
    qmlRegisterTypesAndRevisions<QFrontFaceForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QFrontFaceForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QFrontFace::WindingDirection>("Qt3DRender::QFrontFace::WindingDirection");
    qmlRegisterTypesAndRevisions<QFrustumCullingForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QFrustumCullingForeign *>().id();
    qmlRegisterTypesAndRevisions<QGeometryRendererForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QGeometryRendererForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QGeometryRenderer::PrimitiveType>("Qt3DRender::QGeometryRenderer::PrimitiveType");
    qmlRegisterTypesAndRevisions<QGraphicsApiFilterForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QGraphicsApiFilterForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QGraphicsApiFilter::Api>("Qt3DRender::QGraphicsApiFilter::Api");
    qmlRegisterEnum<Qt3DRender::QGraphicsApiFilter::OpenGLProfile>("Qt3DRender::QGraphicsApiFilter::OpenGLProfile");
    qmlRegisterTypesAndRevisions<QLayerFilterForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QLayerFilterForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QLayerFilter::FilterMode>("Qt3DRender::QLayerFilter::FilterMode");
    qmlRegisterTypesAndRevisions<QLayerForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QLayerForeign *>().id();
    qmlRegisterTypesAndRevisions<QLevelOfDetailBoundingSphereForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QLevelOfDetailBoundingSphereForeign *>().id();
    qmlRegisterTypesAndRevisions<QLevelOfDetailForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QLevelOfDetailForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QLevelOfDetail::ThresholdType>("Qt3DRender::QLevelOfDetail::ThresholdType");
    qmlRegisterTypesAndRevisions<QLevelOfDetailSwitchForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QLevelOfDetailSwitchForeign *>().id();
    qmlRegisterTypesAndRevisions<QLineWidthForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QLineWidthForeign *>().id();
    qmlRegisterTypesAndRevisions<QMaterialForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QMaterialForeign *>().id();
    qmlRegisterTypesAndRevisions<QMemoryBarrierForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QMemoryBarrierForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QMemoryBarrier::Operations>("Qt3DRender::QMemoryBarrier::Operations");
    qmlRegisterEnum<Qt3DRender::QMemoryBarrier::Operation>("Qt3DRender::QMemoryBarrier::Operation");
    qmlRegisterTypesAndRevisions<QMeshForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QMeshForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QMesh::Status>("Qt3DRender::QMesh::Status");
    qmlRegisterTypesAndRevisions<QMultiSampleAntiAliasingForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QMultiSampleAntiAliasingForeign *>().id();
    qmlRegisterTypesAndRevisions<QNoDepthMaskForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QNoDepthMaskForeign *>().id();
    qmlRegisterTypesAndRevisions<QNoDrawForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QNoDrawForeign *>().id();
    qmlRegisterTypesAndRevisions<QNoPickingForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QNoPickingForeign *>().id();
    qmlRegisterTypesAndRevisions<QObjectPickerForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QObjectPickerForeign *>().id();
    qmlRegisterTypesAndRevisions<QParameterForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QParameterForeign *>().id();
    qmlRegisterTypesAndRevisions<QPickEventForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QPickEventForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QPickEvent::Buttons>("Qt3DRender::QPickEvent::Buttons");
    qmlRegisterEnum<Qt3DRender::QPickEvent::Modifiers>("Qt3DRender::QPickEvent::Modifiers");
    qmlRegisterTypesAndRevisions<QPickingProxyForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QPickingProxyForeign *>().id();
    qmlRegisterTypesAndRevisions<QPickingSettingsForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QPickingSettingsForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QPickingSettings::PickMethod>("Qt3DRender::QPickingSettings::PickMethod");
    qmlRegisterEnum<Qt3DRender::QPickingSettings::PickResultMode>("Qt3DRender::QPickingSettings::PickResultMode");
    qmlRegisterEnum<Qt3DRender::QPickingSettings::FaceOrientationPickingMode>("Qt3DRender::QPickingSettings::FaceOrientationPickingMode");
    qmlRegisterTypesAndRevisions<QPointLightForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QPointLightForeign *>().id();
    qmlRegisterTypesAndRevisions<QPointSizeForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QPointSizeForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QPointSize::SizeMode>("Qt3DRender::QPointSize::SizeMode");
    qmlRegisterTypesAndRevisions<QPolygonOffsetForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QPolygonOffsetForeign *>().id();
    qmlRegisterTypesAndRevisions<QProximityFilterForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QProximityFilterForeign *>().id();
    qmlRegisterTypesAndRevisions<QRasterModeForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRasterModeForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QRasterMode::RasterMode>("Qt3DRender::QRasterMode::RasterMode");
    qmlRegisterEnum<Qt3DRender::QRasterMode::FaceMode>("Qt3DRender::QRasterMode::FaceMode");
    qmlRegisterTypesAndRevisions<QRenderCapabilitiesForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderCapabilitiesForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QRenderCapabilities::API>("Qt3DRender::QRenderCapabilities::API");
    qmlRegisterEnum<Qt3DRender::QRenderCapabilities::Profile>("Qt3DRender::QRenderCapabilities::Profile");
    qmlRegisterTypesAndRevisions<QRenderCaptureForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderCaptureForeign *>().id();
    qmlRegisterTypesAndRevisions<QRenderCaptureReplyForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderCaptureReplyForeign *>().id();
    qmlRegisterTypesAndRevisions<QRenderPassFilterForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderPassFilterForeign *>().id();
    qmlRegisterTypesAndRevisions<QRenderPassForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderPassForeign *>().id();
    qmlRegisterTypesAndRevisions<QRenderSettingsForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderSettingsForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QRenderSettings::RenderPolicy>("Qt3DRender::QRenderSettings::RenderPolicy");
    qmlRegisterTypesAndRevisions<QRenderStateForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderStateForeign *>().id();
    qmlRegisterTypesAndRevisions<QRenderStateSetForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderStateSetForeign *>().id();
    qmlRegisterTypesAndRevisions<QRenderSurfaceSelectorForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderSurfaceSelectorForeign *>().id();
    qmlRegisterTypesAndRevisions<QRenderTargetForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderTargetForeign *>().id();
    qmlRegisterTypesAndRevisions<QRenderTargetOutputForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderTargetOutputForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QRenderTargetOutput::AttachmentPoint>("Qt3DRender::QRenderTargetOutput::AttachmentPoint");
    qmlRegisterTypesAndRevisions<QRenderTargetSelectorForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QRenderTargetSelectorForeign *>().id();
    qmlRegisterTypesAndRevisions<QSceneLoaderForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QSceneLoaderForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QSceneLoader::Status>("Qt3DRender::QSceneLoader::Status");
    qmlRegisterEnum<Qt3DRender::QSceneLoader::ComponentType>("Qt3DRender::QSceneLoader::ComponentType");
    qmlRegisterTypesAndRevisions<QScissorTestForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QScissorTestForeign *>().id();
    qmlRegisterTypesAndRevisions<QSeamlessCubemapForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QSeamlessCubemapForeign *>().id();
    qmlRegisterTypesAndRevisions<QSetFenceForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QSetFenceForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QSetFence::HandleType>("Qt3DRender::QSetFence::HandleType");
    qmlRegisterTypesAndRevisions<QShaderDataForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QShaderDataForeign *>().id();
    qmlRegisterTypesAndRevisions<QShaderImageForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QShaderImageForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QShaderImage::Access>("Qt3DRender::QShaderImage::Access");
    qmlRegisterEnum<Qt3DRender::QShaderImage::ImageFormat>("Qt3DRender::QShaderImage::ImageFormat");
    qmlRegisterTypesAndRevisions<QShaderProgramBuilderForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QShaderProgramBuilderForeign *>().id();
    qmlRegisterTypesAndRevisions<QShaderProgramForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QShaderProgramForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QShaderProgram::ShaderType>("Qt3DRender::QShaderProgram::ShaderType");
    qmlRegisterEnum<Qt3DRender::QShaderProgram::Status>("Qt3DRender::QShaderProgram::Status");
    qmlRegisterEnum<Qt3DRender::QShaderProgram::Format>("Qt3DRender::QShaderProgram::Format");
    qmlRegisterTypesAndRevisions<QSharedGLTextureForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QSharedGLTextureForeign *>().id();
    qmlRegisterTypesAndRevisions<QSortPolicyForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QSortPolicyForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QSortPolicy::SortType>("Qt3DRender::QSortPolicy::SortType");
    qmlRegisterTypesAndRevisions<QSpotLightForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QSpotLightForeign *>().id();
    qmlRegisterTypesAndRevisions<QStencilMaskForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QStencilMaskForeign *>().id();
    qmlRegisterTypesAndRevisions<QStencilOperationArgumentsForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QStencilOperationArgumentsForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QStencilOperationArguments::FaceMode>("Qt3DRender::QStencilOperationArguments::FaceMode");
    qmlRegisterEnum<Qt3DRender::QStencilOperationArguments::Operation>("Qt3DRender::QStencilOperationArguments::Operation");
    qmlRegisterTypesAndRevisions<QStencilOperationForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QStencilOperationForeign *>().id();
    qmlRegisterTypesAndRevisions<QStencilTestArgumentsForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QStencilTestArgumentsForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QStencilTestArguments::StencilFaceMode>("Qt3DRender::QStencilTestArguments::StencilFaceMode");
    qmlRegisterEnum<Qt3DRender::QStencilTestArguments::StencilFunction>("Qt3DRender::QStencilTestArguments::StencilFunction");
    qmlRegisterTypesAndRevisions<QStencilTestForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QStencilTestForeign *>().id();
    qmlRegisterTypesAndRevisions<QSubtreeEnablerForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QSubtreeEnablerForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QSubtreeEnabler::Enablement>("Qt3DRender::QSubtreeEnabler::Enablement");
    qmlRegisterTypesAndRevisions<QTechniqueFilterForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTechniqueFilterForeign *>().id();
    qmlRegisterTypesAndRevisions<QTechniqueForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTechniqueForeign *>().id();
    qmlRegisterTypesAndRevisions<QTexture1DArrayForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTexture1DArrayForeign *>().id();
    qmlRegisterTypesAndRevisions<QTexture1DForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTexture1DForeign *>().id();
    qmlRegisterTypesAndRevisions<QTexture2DArrayForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTexture2DArrayForeign *>().id();
    qmlRegisterTypesAndRevisions<QTexture2DForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTexture2DForeign *>().id();
    qmlRegisterTypesAndRevisions<QTexture2DMultisampleArrayForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTexture2DMultisampleArrayForeign *>().id();
    qmlRegisterTypesAndRevisions<QTexture2DMultisampleForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTexture2DMultisampleForeign *>().id();
    qmlRegisterTypesAndRevisions<QTexture3DForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTexture3DForeign *>().id();
    qmlRegisterTypesAndRevisions<QTextureBufferForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTextureBufferForeign *>().id();
    qmlRegisterTypesAndRevisions<QTextureCubeMapArrayForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTextureCubeMapArrayForeign *>().id();
    qmlRegisterTypesAndRevisions<QTextureCubeMapForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTextureCubeMapForeign *>().id();
    qmlRegisterTypesAndRevisions<QTextureImageForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTextureImageForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QTextureImage::Status>("Qt3DRender::QTextureImage::Status");
    qmlRegisterTypesAndRevisions<QTextureLoaderForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTextureLoaderForeign *>().id();
    qmlRegisterTypesAndRevisions<QTextureRectangleForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTextureRectangleForeign *>().id();
    qmlRegisterTypesAndRevisions<QTextureWrapModeForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QTextureWrapModeForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QTextureWrapMode::WrapMode>("Qt3DRender::QTextureWrapMode::WrapMode");
    qmlRegisterTypesAndRevisions<QViewportForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QViewportForeign *>().id();
    qmlRegisterTypesAndRevisions<QWaitFenceForeign>("Qt3D.Render", 6);
    QMetaType::fromType<QWaitFenceForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QWaitFence::HandleType>("Qt3DRender::QWaitFence::HandleType");
    QMetaType::fromType<Qt3DRender::QAbstractRayCaster *>().id();
    qmlRegisterEnum<Qt3DRender::QAbstractRayCaster::RunMode>("Qt3DRender::QAbstractRayCaster::RunMode");
    qmlRegisterEnum<Qt3DRender::QAbstractRayCaster::FilterMode>("Qt3DRender::QAbstractRayCaster::FilterMode");
    QMetaType::fromType<Qt3DRender::QRayCaster *>().id();
    QMetaType::fromType<Qt3DRender::QScreenRayCaster *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DEffect *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DLayerFilter *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DMaterial *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DMemoryBarrier *>().id();
    qmlRegisterTypesAndRevisions<Qt3DRender::Render::Quick::Quick3DParameter>("Qt3D.Render", 6);
    qmlRegisterTypesAndRevisions<Qt3DRender::Render::Quick::Quick3DRayCaster>("Qt3D.Render", 6);
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DRenderPass *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DRenderPassFilter *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DRenderTargetOutput *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DScene *>().id();
    qmlRegisterTypesAndRevisions<Qt3DRender::Render::Quick::Quick3DScreenRayCaster>("Qt3D.Render", 6);
    qmlRegisterTypesAndRevisions<Qt3DRender::Render::Quick::Quick3DShaderData>("Qt3D.Render", 6);
    qmlRegisterTypesAndRevisions<Qt3DRender::Render::Quick::Quick3DShaderDataArray>("Qt3D.Render", 6);
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DStateSet *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DTechnique *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DTechniqueFilter *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DTextureExtension *>().id();
    QMetaType::fromType<Qt3DRender::Render::Quick::Quick3DViewport *>().id();
    qmlRegisterTypesAndRevisions<Quick3DRayCasterHitForeign>("Qt3D.Render", 6);
    QMetaType::fromType<Quick3DRayCasterHitForeign *>().id();
    qmlRegisterEnum<Qt3DRender::QRayCasterHit::HitType>("Qt3DRender::QRayCasterHit::HitType");
    qmlRegisterTypesAndRevisions<Quick3DRayCasterHitsForeign>("Qt3D.Render", 6);
    QMetaType::fromType<Quick3DRayCasterHitsForeign *>().id();
    QT_WARNING_POP
    qmlRegisterModule("Qt3D.Render", 6, 12);
}

static const QQmlModuleRegistration qt3DRenderRegistration("Qt3D.Render", qml_register_types_Qt3D_Render);
